io.etcd.jetcd.api

## Class RequestOp

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - io.etcd.jetcd.api.RequestOp

All Implemented Interfaces:
  com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, RequestOpOrBuilder, Serializable

    public final class RequestOp
    extends com.google.protobuf.GeneratedMessageV3
    implements RequestOpOrBuilder

Protobuf type `etcdserverpb.RequestOp`

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `RequestOp.Builder` Protobuf type `etcdserverpb.RequestOp`
`static class` `RequestOp.RequestCase`

### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

### Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

### Field Summary

Fields
`static int` `REQUEST_DELETE_RANGE_FIELD_NUMBER`
`static int` `REQUEST_PUT_FIELD_NUMBER`
`static int` `REQUEST_RANGE_FIELD_NUMBER`
`static int` `REQUEST_TXN_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`static RequestOp` `getDefaultInstance()`
`RequestOp` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Parser<RequestOp>` `getParserForType()`
`RequestOp.RequestCase` `getRequestCase()`
`DeleteRangeRequest` `getRequestDeleteRange()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`DeleteRangeRequestOrBuilder` `getRequestDeleteRangeOrBuilder()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`PutRequest` `getRequestPut()` `.etcdserverpb.PutRequest request_put = 2;`
`PutRequestOrBuilder` `getRequestPutOrBuilder()` `.etcdserverpb.PutRequest request_put = 2;`
`RangeRequest` `getRequestRange()` `.etcdserverpb.RangeRequest request_range = 1;`
`RangeRequestOrBuilder` `getRequestRangeOrBuilder()` `.etcdserverpb.RangeRequest request_range = 1;`
`TxnRequest` `getRequestTxn()` `.etcdserverpb.TxnRequest request_txn = 4;`
`TxnRequestOrBuilder` `getRequestTxnOrBuilder()` `.etcdserverpb.TxnRequest request_txn = 4;`
`int` `getSerializedSize()`
`com.google.protobuf.UnknownFieldSet` `getUnknownFields()`
`int` `hashCode()`
`boolean` `hasRequestDeleteRange()` `.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`
`boolean` `hasRequestPut()` `.etcdserverpb.PutRequest request_put = 2;`
`boolean` `hasRequestRange()` `.etcdserverpb.RangeRequest request_range = 1;`
`boolean` `hasRequestTxn()` `.etcdserverpb.TxnRequest request_txn = 4;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`static RequestOp.Builder` `newBuilder()`
`static RequestOp.Builder` `newBuilder(RequestOp prototype)`
`RequestOp.Builder` `newBuilderForType()`
`protected RequestOp.Builder` `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object` `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static RequestOp` `parseDelimitedFrom(InputStream input)`
`static RequestOp` `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RequestOp` `parseFrom(byte[] data)`
`static RequestOp` `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RequestOp` `parseFrom(ByteBuffer data)`
`static RequestOp` `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RequestOp` `parseFrom(com.google.protobuf.ByteString data)`
`static RequestOp` `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RequestOp` `parseFrom(com.google.protobuf.CodedInputStream input)`
`static RequestOp` `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static RequestOp` `parseFrom(InputStream input)`
`static RequestOp` `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<RequestOp>` `parser()`
`RequestOp.Builder` `toBuilder()`
`void` `writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Field Detail

#### REQUEST_RANGE_FIELD_NUMBER

    public static final int REQUEST_RANGE_FIELD_NUMBER

See Also:
  Constant Field Values

#### REQUEST_PUT_FIELD_NUMBER

    public static final int REQUEST_PUT_FIELD_NUMBER

See Also:
  Constant Field Values

#### REQUEST_DELETE_RANGE_FIELD_NUMBER

    public static final int REQUEST_DELETE_RANGE_FIELD_NUMBER

See Also:
  Constant Field Values

#### REQUEST_TXN_FIELD_NUMBER

    public static final int REQUEST_TXN_FIELD_NUMBER

See Also:
  Constant Field Values

### Method Detail

#### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

#### getUnknownFields

    public final com.google.protobuf.UnknownFieldSet getUnknownFields()

Specified by:
  `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

#### getRequestCase

    public RequestOp.RequestCase getRequestCase()

Specified by:
  `getRequestCase` in interface `RequestOpOrBuilder`

#### hasRequestRange

    public boolean hasRequestRange()

`.etcdserverpb.RangeRequest request_range = 1;`

Specified by:
  `hasRequestRange` in interface `RequestOpOrBuilder`
Returns:
  Whether the requestRange field is set.

#### getRequestRange

    public RangeRequest getRequestRange()

`.etcdserverpb.RangeRequest request_range = 1;`

Specified by:
  `getRequestRange` in interface `RequestOpOrBuilder`
Returns:
  The requestRange.

#### getRequestRangeOrBuilder

    public RangeRequestOrBuilder getRequestRangeOrBuilder()

`.etcdserverpb.RangeRequest request_range = 1;`

Specified by:
  `getRequestRangeOrBuilder` in interface `RequestOpOrBuilder`

#### hasRequestPut

    public boolean hasRequestPut()

`.etcdserverpb.PutRequest request_put = 2;`

Specified by:
  `hasRequestPut` in interface `RequestOpOrBuilder`
Returns:
  Whether the requestPut field is set.

#### getRequestPut

    public PutRequest getRequestPut()

`.etcdserverpb.PutRequest request_put = 2;`

Specified by:
  `getRequestPut` in interface `RequestOpOrBuilder`
Returns:
  The requestPut.

#### getRequestPutOrBuilder

    public PutRequestOrBuilder getRequestPutOrBuilder()

`.etcdserverpb.PutRequest request_put = 2;`

Specified by:
  `getRequestPutOrBuilder` in interface `RequestOpOrBuilder`

#### hasRequestDeleteRange

    public boolean hasRequestDeleteRange()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

Specified by:
  `hasRequestDeleteRange` in interface `RequestOpOrBuilder`
Returns:
  Whether the requestDeleteRange field is set.

#### getRequestDeleteRange

    public DeleteRangeRequest getRequestDeleteRange()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

Specified by:
  `getRequestDeleteRange` in interface `RequestOpOrBuilder`
Returns:
  The requestDeleteRange.

#### getRequestDeleteRangeOrBuilder

    public DeleteRangeRequestOrBuilder getRequestDeleteRangeOrBuilder()

`.etcdserverpb.DeleteRangeRequest request_delete_range = 3;`

Specified by:
  `getRequestDeleteRangeOrBuilder` in interface `RequestOpOrBuilder`

#### hasRequestTxn

    public boolean hasRequestTxn()

`.etcdserverpb.TxnRequest request_txn = 4;`

Specified by:
  `hasRequestTxn` in interface `RequestOpOrBuilder`
Returns:
  Whether the requestTxn field is set.

#### getRequestTxn

    public TxnRequest getRequestTxn()

`.etcdserverpb.TxnRequest request_txn = 4;`

Specified by:
  `getRequestTxn` in interface `RequestOpOrBuilder`
Returns:
  The requestTxn.

#### getRequestTxnOrBuilder

    public TxnRequestOrBuilder getRequestTxnOrBuilder()

`.etcdserverpb.TxnRequest request_txn = 4;`

Specified by:
  `getRequestTxnOrBuilder` in interface `RequestOpOrBuilder`

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

#### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output)
                 throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

#### getSerializedSize

    public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

#### equals

    public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

#### parseFrom

    public static RequestOp parseFrom(ByteBuffer data)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RequestOp parseFrom(ByteBuffer data,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RequestOp parseFrom(com.google.protobuf.ByteString data)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RequestOp parseFrom(com.google.protobuf.ByteString data,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RequestOp parseFrom(byte[] data)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RequestOp parseFrom(byte[] data,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

#### parseFrom

    public static RequestOp parseFrom(InputStream input)
                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static RequestOp parseFrom(InputStream input,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static RequestOp parseDelimitedFrom(InputStream input)
                                        throws IOException

Throws:
  `IOException`

#### parseDelimitedFrom

    public static RequestOp parseDelimitedFrom(InputStream input,
                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                        throws IOException

Throws:
  `IOException`

#### parseFrom

    public static RequestOp parseFrom(com.google.protobuf.CodedInputStream input)
                               throws IOException

Throws:
  `IOException`

#### parseFrom

    public static RequestOp parseFrom(com.google.protobuf.CodedInputStream input,
                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                               throws IOException

Throws:
  `IOException`

#### newBuilderForType

    public RequestOp.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

#### newBuilder

    public static RequestOp.Builder newBuilder()

#### newBuilder

    public static RequestOp.Builder newBuilder(RequestOp prototype)

#### toBuilder

    public RequestOp.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

#### newBuilderForType

    protected RequestOp.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstance

    public static RequestOp getDefaultInstance()

#### parser

    public static com.google.protobuf.Parser<RequestOp> parser()

#### getParserForType

    public com.google.protobuf.Parser<RequestOp> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

#### getDefaultInstanceForType

    public RequestOp getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`